aboutsummaryrefslogtreecommitdiff
path: root/bin/.local
diff options
context:
space:
mode:
authorBardofSprites <[email protected]>2026-04-23 00:17:21 -0400
committerBardofSprites <[email protected]>2026-04-23 00:17:21 -0400
commit692a7cbb0b85b737029a65909fc5563f1a9d8429 (patch)
treef9320fd6ed7c83c415eb829980b945ec1d25a9bb /bin/.local
parentefb14d7443bf394aac5ffac38f592f498181a2c2 (diff)
fix
Diffstat (limited to 'bin/.local')
-rwxr-xr-xbin/.local/bin/scripts/status/weather4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/.local/bin/scripts/status/weather b/bin/.local/bin/scripts/status/weather
index 67ae84a..f65870a 100755
--- a/bin/.local/bin/scripts/status/weather
+++ b/bin/.local/bin/scripts/status/weather
@@ -7,7 +7,7 @@ url="${WTTRURL:-wttr.in}"
weatherreport="${XDG_CACHE_HOME:-$HOME/.cache}/weatherreport"
# Get a weather report from 'wttr.in' and save it locally.
-getforecast() { curl -sf "$url/Louisville?M" > "$weatherreport" || exit 1; }
+getforecast() { curl -sf "$url/Louisville?m" > "$weatherreport" || exit 1; }
# Forecast should be updated only once a day.
checkforecast() {
@@ -39,7 +39,7 @@ showweather() {
}
case $BLOCK_BUTTON in
- 1) setsid -f "$TERMINAL" -n "floatterm" -g "165x18" -e less ~/.cache/weather ;;
+ 1) setsid -f "$TERMINAL" -n "floatterm" -g "150x35" -e less -Sfr "$weatherreport" ;;
2) getforecast && showweather ;;
3) notify-send "🌈 Weather module" "\- Left click for full forecast.
- Middle click to update forecast.